%define nodoka_dir %{_datadir}/themes/Nodoka

Name:           nodoka-theme-gnome
Version:        0.3.90
Release:        %mkrel 1

Summary:        The Nodoka Theme Pack for Gnome
Group:          System/Libraries
License:        GPLv2
URL:            http://hosted.fedoraproject.org/projects/nodoka
Patch:          nodoka-theme-gnome-0.3.90-index.theme.patch
Source0:        %{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       gtk-nodoka-engine >= 0.3.1.1
Requires:       nodoka-metacity-theme
Requires:       gnome-icon-theme
Requires:       notification-daemon-engine-nodoka

%description
The Nodoka Theme Pack for Gnome make use of Nodoka Metacity theme, Nodoka gtk2
theme and Echo Icon set.

%package -n     nodoka-metacity-theme
Summary:        The Nodoka theme for Metacity 
Group:          System/Libraries
# needed for dir ownership
Requires:   nodoka-filesystem

%description -n nodoka-metacity-theme
The Nodoka theme for metacity. A clean theme featuring soft gradients and 
Echoey look and feel.

%package -n     nodoka-filesystem
Summary:        The directory infrastructure for Nodoka
Group:          System/Libraries

# Require the %{_datadir}/themes directory
Requires:       filesystem
Conflicts:      gtk-nodoka-engine < 0.7.0-2

%description -n nodoka-filesystem
The directory infrastructure needed by various Nodoka packages.

%prep
%setup -q
%patch -p1

echo 'NotificationTheme=nodoka' >> Nodoka/index.theme

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -Dp -m 0644 Nodoka/index.theme                             $RPM_BUILD_ROOT/%{nodoka_dir}/index.theme
%{__install} -Dp -m 0644 Nodoka/metacity-1/button_close.png             $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/button_close.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/button_maximize.png          $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/button_maximize.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/button_minimize.png          $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/button_minimize.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/menu_button_close.png        $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/menu_button_close.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/menu_button_maximize.png     $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/menu_button_maximize.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/menu_button_minimize.png     $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/menu_button_minimize.png
%{__install} -Dp -m 0644 Nodoka/metacity-1/metacity-theme-1.xml         $RPM_BUILD_ROOT/%{nodoka_dir}/metacity-1/metacity-theme-1.xml

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{nodoka_dir}/index.theme

%files -n nodoka-metacity-theme
%defattr(-,root,root,-)
%{nodoka_dir}/metacity-1

%files -n nodoka-filesystem
%defattr(-,root,root,-)
%dir %{nodoka_dir}

%changelog
* Sat Apr 11 2009 slick50 <lxgator@gmail.com> 0.3.90-1pclos2007
- import to PClinuxOS
